	SUBROUTINE OPNGET(ITRANS)
	COMMON/INPFIL/IPTR,IEND,INPSUM,INYBBL,IDELAY,IPRMPT,ISENT
     C			,LINEI(256),ICHECK,LENI,IFLAGI,NIREC
	LOGICAL*1 INAME(30)
	DATA INAME/30*0/
C	  CHECK IF A FILE IS ALREADY OPEN FOR INPUT - IF SO, CLOSE IT
	IF((ITRANS.AND.2).EQ.0) GOTO 5
	CALL CLSFIL(2,ITRANS)
C
C	  TRANSMIT A FILE TO REMOTE
C
 5	TYPE *,' '
	IF((ITRANS.AND.4).NE.0) TYPE *,'ECHO Mode'
	IF((ITRANS.AND."200).EQ.0) TYPE *,'ASCII Data'
	IF((ITRANS.AND."200).NE.0) TYPE *,'Binary Data'
	IF((ITRANS.AND."40).NE.0) TYPE *,'8-Bit Mode'
	IF((ITRANS.AND."20).NE.0) TYPE *,'COPY Mode'
	IF((ITRANS.AND."400).NE.0) TYPE *,'PROMPTLESS Mode'
	WRITE(5,10) "15,"12
 10	FORMAT('$',2A1,'To REMOTE: (Filename)? ')
C	  READ A FILE NAME
	DO 12 I=1,30
 12	INAME(I)=0
	CALL READST(INAME,LEN,29)
C	READ(5,13,ERR=19,END=19) LEN,INAME
C 13	FORMAT(Q,30A1)
	IF(LEN.LT.1) RETURN
C	INAME(30)=0
	IF((ITRANS.AND."200).NE.0.OR.(ITRANS.AND."40).NE.0) GOTO 20
	OPEN (UNIT=4,NAME=INAME,TYPE='OLD',READONLY,ERR=30)
 17	ITRANS=ITRANS + 2
	IEND=0
	ICHECK=0
	INPSUM=0
	INYBBL=0
	IPTR=0
 19	RETURN
C
C	  OPEN A DIRECT-ACCESS FILE TO TRANSFER BINARY DATA
 20	NIREC=0
C	DEFINE FILE 4 (0,256,U,NIREC)
	OPEN(UNIT=4,NAME=INAME,TYPE='OLD',READONLY,ACCESS='DIRECT',
     C		RECORDSIZE=128,ERR=30)
	GOTO 17
C	  NOW PRINT AN ERROR MESSAGE IF FILE NOT FOUND
 30	TYPE *,' '
	TYPE *,'***** FILE NOT FOUND *****'
	RETURN
	END
